{
  "formatVersion": 1,
  "database": {
    "version": 1,
    "identityHash": "0ab0f942018effcc34aaac1f2f17d9d0",
    "entities": [
      {
        "tableName": "LoginLog",
        "createSql": "CREATE TABLE IF NOT EXISTS `${TABLE_NAME}` (`lid` INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, `name` TEXT, `pwd` TEXT, `time` INTEGER NOT NULL)",
        "fields": [
          {
            "fieldPath": "lid",
            "columnName": "lid",
            "affinity": "INTEGER",
            "notNull": true
          },
          {
            "fieldPath": "name",
            "columnName": "name",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "pwd",
            "columnName": "pwd",
            "affinity": "TEXT",
            "notNull": false
          },
          {
            "fieldPath": "time",
            "columnName": "time",
            "affinity": "INTEGER",
            "notNull": true
          }
        ],
        "primaryKey": {
          "columnNames": [
            "lid"
          ],
          "autoGenerate": true
        },
        "indices": [],
        "foreignKeys": []
      }
    ],
    "views": [],
    "setupQueries": [
      "CREATE TABLE IF NOT EXISTS room_master_table (id INTEGER PRIMARY KEY,identity_hash TEXT)",
      "INSERT OR REPLACE INTO room_master_table (id,identity_hash) VALUES(42, '0ab0f942018effcc34aaac1f2f17d9d0')"
    ]
  }
}